change_notifier_builder 1.1.2
change_notifier_builder: ^1.1.2 copied to clipboard

A widget builder whose content stays synced with one or more ChangeNotifier. Designed to be used with ChangeNotifier models for state management.

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add change_notifier_builder

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  change_notifier_builder: ^1.1.2

Alternatively, your editor might support or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:change_notifier_builder/change_notifier_builder.dart';
2
likes
130
pub points
55%
popularity

A widget builder whose content stays synced with one or more ChangeNotifier. Designed to be used with ChangeNotifier models for state management.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on change_notifier_builder